<%@ Control Language="C#"  Inherits="System.Web.Mvc.ViewUserControl<egTracker.FormViewModels.InterfaceListOfTickets>" %>

<div style="margin-bottom:10px">
      <% Html.RenderPartial("~/Views/Shared/ListOfTickets_Paging.ascx"); %>
    </div>
    
    <a name="list"></a>
    <table style="background-color:White;">
        <tr>            
            <th><center><%=Model.OrderBy.CreateActionLinkForColumn("ID", "TicketId") %></center></th>
            <th><center><%=Model.OrderBy.CreateActionLinkForColumn(Resources.egTracker.Title, "Title")%></center></th>
            <th><center><%=Model.OrderBy.CreateActionLinkForColumn(Resources.egTracker.Project, "ProjectName")%></center></th>
						<% if (Model.ColumnTicketType)
				 {  %>
						<th><center><%=Model.OrderBy.CreateActionLinkForColumn("Ticket type", "TicketType")%></center></th>
						<% } %>
            <th><center><%=Model.OrderBy.CreateActionLinkForColumn(Resources.egTracker.Status, "StatusName")%></center></th>
						<% if (Model.ColumnAssignedTo)
				 {  %>
            <th><center><%=Model.OrderBy.CreateActionLinkForColumn(Resources.egTracker.AssignedTo, "AssignedToUserName")%></center></th>
						<% } %>
            <th><center><%=Model.OrderBy.CreateActionLinkForColumn(Resources.egTracker.CreatedOn, "CreatedOn")%></center></th>
            <th><center><%=Model.OrderBy.CreateActionLinkForColumn(Resources.egTracker.CreatedBy, "CreatedByUserName")%></center></th>
            <th><center><%=Model.OrderBy.CreateActionLinkForColumn(Resources.egTracker.UpdatedOn, "UpdatedOn")%></center></th>
            <th><center><%=Model.OrderBy.CreateActionLinkForColumn(Resources.egTracker.UpdatedBy, "UpdatedByUserName")%></center></th>
						<th></th>
        </tr>

    <% 
			string backgroundColor = "#F7F6F3";
			foreach (var item in Model.List) {

				if (backgroundColor == "White")
					backgroundColor = "#F7F6F3";
				else
					backgroundColor = "White";									
		%>    									

        <tr style="background-color:<%=backgroundColor%>;">            
            <td>
                <%= Html.ActionLink(Html.Encode(item.TicketId), "Edit", "Tickets", new { id = item.TicketId }, null)%>                
            </td>
            <td>              
                <%= Html.ActionLink(item.Title, "Edit", "Tickets", new { id = item.TicketId }, null)%>                                
            </td>
            <td>
              <%=Html.Encode(item.ProjectName) %>
            </td>
						<% if (Model.ColumnTicketType)
				 {  %>
						<td>
            <%=Html.Encode(item.TicketTypeName) %>
            </td>
				 <%} %>
            <td>
            <%=Html.Encode(egTracker.Models.StatusRepository.TranslateStatusName(item.StatusName)) %>
            </td>
						<% if (Model.ColumnAssignedTo)
				 { %>
            <td>
              <%=egTracker.Business.JavaScript.PopUp.GenerateLink(item.AssignedToUserId.ToString(), item.AssignedTo)%>
            </td>
						<% } %>
            <td>
                <%= Html.Encode(String.Format("{0:g}", Model.TimeZone.Utc2Local(item.CreatedOn))) %>
            </td>
            <td>
              <%=egTracker.Business.JavaScript.PopUp.GenerateLink(item.CreatedByUserId.ToString(), item.CreatedBy)%>            
            </td>
            <td>
              <%= Html.Encode(Model.TimeZone.Utc2Local(item.UpdatedOn)) %>
            </td>
            <td>              
              <%=egTracker.Business.JavaScript.PopUp.GenerateLink(item.UpdatedByUserId.ToString(), item.UpdatedBy)%>            
            </td>
						<td>
							<% if ((item.AttachmentsCount > 0) && (Model.ColumnAttachments))
					{  %>							
                <a href="<%=ResolveUrl("~/Tickets/Attachments/" + item.TicketId)%>"><img style=" border-style:none;" alt="Attachments(<%=item.AttachmentsCount %>)" title="Attachments(<%=item.AttachmentsCount %>)" src="<%=ResolveUrl("~/Images/tango/16x16/status/mail-attachment.png")%>" /></a>
								<% } %>
            </td>
        </tr>
    
    <% } %>

    </table>

    <div style="margin-top:10px">
      <% Html.RenderPartial("~/Views/Shared/ListOfTickets_Paging.ascx"); %>
    </div>

    <%=Model.HtmlPopUps %>
    
