﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.FormViewModels.ProjectCustomFields.List>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Resources.egTracker.CustomFields %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2><%=Resources.egTracker.CustomFields%> - <% =Html.Encode(Model.ProjectName) %> </h2>

<div>
    <%=Html.ActionLink(Resources.egTracker.BackToProject, "Edit", "Projects", new {id = Model.ProjectId}, null) %>
    &nbsp;    
</div>

<% using (Html.BeginForm("List", "ProjectCustomFields", FormMethod.Post, new { name = "CustomFields" }))
   { %>

    <div>
		<% if (!Model.ProjectIsTemplate)
		 {  %>
		<div style="margin-bottom:5px;">		
		<%=Html.CheckBox("TemplateEnabled")%>Template
		<%=Html.DropDownList("TemplateId", Model.Templates)%>
		<input type="submit" value="Save" />				
		</div>
		<% } %>

		<div>    				
    <%=Html.ActionLink(Resources.egTracker.Add, "AddNew", new {id = Model.ProjectId}) %>
		</div>
  </div>

  <br />

  <table>
  
  <tr>
	<% if (Model.TemplateEnabled)
			{  %>
	<th>
	Template<br />
	<a href="javascript:SelectAll();"><%=Resources.egTracker.All%></a>/<a href="javascript:SelectNone();"><%=Resources.egTracker.None%></a>
	</th>
	<%} %>
  <th></th>
  <th><%=Resources.egTracker.Caption %></th>
  <th><%=Resources.egTracker.Type %></th>
  <th><%=Resources.egTracker.Order %></th>
  </tr>

  <% foreach (egTracker.FormViewModels.ProjectCustomFields.List.modelProjectCustomField f in Model.Fields)
     { %>
     <tr>
			<% if (Model.TemplateEnabled)
			{  %>
			<td>
			<%=Html.CheckBox("FromTemplate", f.FromTemplate, new { value = f.ID })%>
			</td>
			<%} %>
      <td>
			<% if (!f.FromTemplate)
			{  %>

			<%=Html.ActionLink(Resources.egTracker.Edit, f.actionNameEdit, new { id = f.ID })%>       
      &nbsp; 
      <%=Html.ActionLink(Resources.egTracker.Delete, "Delete", new { id = f.ID }, new { onclick = string.Format("javascript:return confirm('Are you sure you want to delete {0}?');", Html.Encode(f.Caption.Replace("'", @"\'"))) })%>

			<% } %>

      </td>
      <td><%=Html.Encode(f.Caption) %></td>
      <td><%=Html.Encode(f.Type) %></td>
      <td><%=Html.Encode(f.Order.ToString()) %></td>
     </tr>
  <% } %>
  
  </table>

	<% } %>

	<script type="text/javascript">
		

		function SelectAll() {
			var selectedArray = document.CustomFields.FromTemplate;
			for (var i = 0; i < selectedArray.length; i++) {
				selectedArray[i].checked = true;
			}
		}

		function SelectNone() {
			var selectedArray = document.CustomFields.FromTemplate;
			for (var i = 0; i < selectedArray.length; i++) {
				selectedArray[i].checked = false;
			}
		}

    </script>

</asp:Content>
