<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.Models.Projects.Edit>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
  <%=Resources.egTracker.Edit %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2><%=Resources.egTracker.EditProject %></h2>


<%= Html.ValidationSummary(Resources.egTracker.CreateValidationInfo) %>

    <div>
      <%=Html.ActionLink(Resources.egTracker.Permissions, "List", "ProjectsPermissions",  new { id = Model.Id }, null)%>
      &nbsp;&nbsp;
      <%=Html.ActionLink(Resources.egTracker.CustomFields, "List", "ProjectCustomFields",  new { id = Model.Id }, null)%>
			&nbsp;&nbsp;
			<%=Html.ActionLink("Ticket Layout", "TicketLayout", "Projects", new { id = Model.Id }, null)%>
      <%if (Model.CustomStatuses)
        { %>
      &nbsp;&nbsp;
      <%=Html.ActionLink(Resources.egTracker.CustomStatuses, "List", "ProjectCustomStatuses", new { id = Model.Id }, null)%>
      <% } %>
			<%if (Model.TicketTypes)
        { %>
      &nbsp;&nbsp;
      <%=Html.ActionLink("Ticket Types", "List", "ProjectTicketTypes", new { id = Model.Id }, null)%>
      <% } %>
    </div>

    <% using (Html.BeginForm()) {%>

        <% Html.RenderPartial("ProjectForm"); %>

    <% } %>
    
</asp:Content>
